Skip to content

Revoke Disclosure

POST
/api/disclosures/{disclosure_id}/revoke
curl --request POST \
--url https://agentauthority.org/api/disclosures/example/revoke \
--header 'idempotency-key: example'
disclosure_id
required
Disclosure Id
string
idempotency-key
required
Idempotency-Key
string
>= 8 characters <= 128 characters

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}